Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class BridgeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.batik.bridge.BridgeException

All Implemented Interfaces:
  Serializable

    public class BridgeException

extends RuntimeException

Thrown when the bridge has detected an error.

See Also:
  Serialized Form

Field Summary
`protected String` | `code` The error code.
`protected Element` | `e` The element on which the error occured.
`protected int` | `line` The line number on which the error occured.
`protected String` | `message` The message.
`protected GraphicsNode` | `node` The graphics node that represents the current state of the GVT tree.
`protected Object[]` | `params` The paramters to use for the error message.

Constructor Summary
`BridgeException(BridgeContext ctx, Element e, Exception ex, String code, Object[] params)` Constructs a new `BridgeException` with the specified parameters.
`BridgeException(BridgeContext ctx, Element e, String message)` Constructs a new `BridgeException` with the specified parameters.
`BridgeException(BridgeContext ctx, Element e, String code, Object[] params)` Constructs a new `BridgeException` with the specified parameters.
`BridgeException(BridgeContext ctx, LiveAttributeException ex)` Constructs a new `BridgeException` based on the specified `LiveAttributeException`.

Method Summary
`String` | `getCode()` Returns the exception's error code
`Element` | `getElement()` Returns the element on which the error occurred.
`GraphicsNode` | `getGraphicsNode()` Returns the graphics node that represents the current GVT tree built.
`String` | `getMessage()` Returns the error message according to the error code and parameters.
`void` | `setGraphicsNode(GraphicsNode node)` Sets the graphics node that represents the current GVT tree built.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### e

    protected Element e

  The element on which the error occured.

### code

    protected String code

  The error code.

### message

    protected String message

  The message.

### params

    protected Object[] params

  The paramters to use for the error message.

### line

    protected int line

  The line number on which the error occured.

### node

    protected GraphicsNode node

  The graphics node that represents the current state of the GVT tree.

Constructor Detail

### BridgeException

    public BridgeException(BridgeContext ctx,
                           LiveAttributeException ex)

  Constructs a new `BridgeException` based on the specified `LiveAttributeException`.

  Parameters:
    `ctx` - the bridge context to use for determining the element's source position
    `ex` - the `LiveAttributeException`

### BridgeException

    public BridgeException(BridgeContext ctx,
                           Element e,
                           String code,
                           Object[] params)

  Constructs a new `BridgeException` with the specified parameters.

  Parameters:
    `ctx` - the bridge context to use for determining the element's source position
    `e` - the element on which the error occurred
    `code` - the error code
    `params` - the parameters to use for the error message

### BridgeException

    public BridgeException(BridgeContext ctx,
                           Element e,
                           Exception ex,
                           String code,
                           Object[] params)

  Constructs a new `BridgeException` with the specified parameters.

  Parameters:
    `ctx` - the bridge context to use for determining the element's source position
    `e` - the element on which the error occurred
    `ex` - the exception which was the root-cause for this exception
    `code` - the error code
    `params` - the parameters to use for the error message

### BridgeException

    public BridgeException(BridgeContext ctx,
                           Element e,
                           String message)

  Constructs a new `BridgeException` with the specified parameters.

  Parameters:
    `ctx` - the bridge context to use for determining the element's source position
    `e` - the element on which the error occurred
    `message` - the error message

Method Detail

### getElement

    public Element getElement()

  Returns the element on which the error occurred.

### setGraphicsNode

    public void setGraphicsNode(GraphicsNode node)

  Sets the graphics node that represents the current GVT tree built.

  Parameters:
    `node` - the graphics node

### getGraphicsNode

    public GraphicsNode getGraphicsNode()

  Returns the graphics node that represents the current GVT tree built.

### getMessage

    public String getMessage()

  Returns the error message according to the error code and parameters.

  Overrides:
    `getMessage` in class `Throwable`

### getCode

    public String getCode()

  Returns the exception's error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.